[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Linux' (#rtl)

# setregid

Set Real and Effective Group ID

## Declaration

Source position: linux.pp line 473

`function setregid(`
`rgid: uid_t;`
`egid: uid_t`
`):cint;`

## Description

setregid sets the real group ID to rgid and the effective group ID to egid. Passing a value of -1 tells the system not to change that value.

## Errors

On Error, -1 is returned. fpgeterrno can be used to get more detailed error information.

## See also

setreuid